Bug 450100 - Satellite sync from export fails with Exception type exceptions.ValueError
Satellite sync from export fails with Exception type exceptions.ValueError
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
423
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
:
Depends On:
Blocks: 439866
  Show dependency treegraph
 
Reported: 2008-06-05 08:46 EDT by Preethi Thomas
Modified: 2008-06-30 14:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat423
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 14:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2008-06-05 08:46:10 EDT
Description of problem:
Satellite sync from export fails with Exception type exceptions.ValueError
tested on fjs-0-13 and fjs-0-07

Version-Release number of selected component (if applicable):

satellite 423
How reproducible:
always

Steps to Reproduce:
1. Create empty RHEL 3 ia32 channel test-base-channel-rhel3 and add a few
packages from RHEL3 AS for i386;
2. rhn-satellite-exporter --dir=/tmp/testchanneldump
--channel=test-base-channel-rhel3
3. Delete test-base-channel-rhel3;
4. satellite-sync -c test-base-channel-rhel3
--mount-point=/tmp/testchanneldump
  
Actual results:
Exception reported from fjs-0-07.rhndev.redhat.com
Time: Thu Jun  5 04:41:14 2008
Exception type exceptions.ValueError


Expected results:

Sucessful sync

Additional info:
Exception reported from fjs-0-13.rhndev.redhat.com
Time: Thu Jun  5 08:31:50 2008
Exception type exceptions.ValueError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 123, in process
    self.__parser.parse(self.__stream)
  File "/usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.py", line 109,
in parse
    xmlreader.IncrementalParser.parse(self, source)
  File "/usr/lib/python2.3/site-packages/_xmlplus/sax/xmlreader.py", line 123,
in parse
    self.feed(buffer)
  File "/usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.py", line 216,
in feed
    self._parser.Parse(data, isFinal)
  File "/usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.py", line 314,
in end_element
    self._cont_handler.endElement(name)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 216, in endElement
    self.__container.endElement(element)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 778, in endElement
    self.endItemCallback()
  File "/usr/share/rhn/satellite_tools/sync_handlers.py", line 233, in
endItemCallback
    xmlSource.IncompletePackageContainer.endItemCallback(self)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 792, in endItemCallback
    item = _createItem(obj)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 372, in _createItem
    return item.populate(element.attributes, element.subelements)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 283, in populate
    self.populateFromAttributes(item, attributes)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 300, in
populateFromAttributes
    obj[key] = _normalizeAttribute(obj.attributeTypes.get(key), value)
  File "/usr/share/rhn/satellite_tools/xmlSource.py", line 915, in
_normalizeAttribute
    return int(attribute)
ValueError: invalid literal for int(): None

Local variables by frame
Frame _normalizeAttribute in /usr/share/rhn/satellite_tools/xmlSource.py at line 915
	             objtype = <type 'type'> <type 'int'>
	           attribute = <type 'str'> None

Frame populateFromAttributes in /usr/share/rhn/satellite_tools/xmlSource.py at
line 300
	          sourceDict = <type 'dict'> {'org-id': 'None', 'name': '4Suite',
'package-size': '1837094', 'md5sum': 'e88424b3e221c5cba90910c8a2544880',
'package-arch': 'i386', 'last-modified': '1156299575', 'epoch': '', 'version':
'0.11.1', 'release': '14', 'id': 'rhn-package-6951'}
	                self = <type 'instance'>
<satellite_tools.xmlSource.IncompletePackageItem instance at 0xb793dfcc>
	                 obj = <type 'instance'>
[<server.importlib.importLib.IncompletePackage instance;
attributes={'package_size': None, 'name': None, 'md5sum': None, 'org_id': None,
'package_id': None, 'channels': None, 'epoch': None, 'version': None,
'last_modified': None, 'release': None, 'arch': None}]
	               value = <type 'str'> None
	                 key = <type 'str'> org_id

Frame populate in /usr/share/rhn/satellite_tools/xmlSource.py at line 283
	                item = <type 'instance'>
[<server.importlib.importLib.IncompletePackage instance;
attributes={'package_size': None, 'name': None, 'md5sum': None, 'org_id': None,
'package_id': None, 'channels': None, 'epoch': None, 'version': None,
'last_modified': None, 'release': None, 'arch': None}]
	                self = <type 'instance'>
<satellite_tools.xmlSource.IncompletePackageItem instance at 0xb793dfcc>
	            elements = <type 'list'> []
	          attributes = <type 'dict'> {'org-id': 'None', 'name': '4Suite',
'package-size': '1837094', 'md5sum': 'e88424b3e221c5cba90910c8a2544880',
'package-arch': 'i386', 'last-modified': '1156299575', 'epoch': '', 'version':
'0.11.1', 'release': '14', 'id': 'rhn-package-6951'}

Frame _createItem in /usr/share/rhn/satellite_tools/xmlSource.py at line 372
	                item = <type 'instance'>
<satellite_tools.xmlSource.IncompletePackageItem instance at 0xb793dfcc>
	             element = <type 'instance'> [<Node element: name=rhn-package-short>]

Frame endItemCallback in /usr/share/rhn/satellite_tools/xmlSource.py at line 792
	                self = <type 'instance'>
<satellite_tools.sync_handlers.ShortPackageContainer instance at 0xb793d94c>
	                 obj = <type 'instance'> [<Node element: name=rhn-package-short>]

Frame endItemCallback in /usr/share/rhn/satellite_tools/sync_handlers.py at line 233
	                self = <type 'instance'>
<satellite_tools.sync_handlers.ShortPackageContainer instance at 0xb793d94c>

Frame endElement in /usr/share/rhn/satellite_tools/xmlSource.py at line 778
	              tagobj = <type 'instance'> [<Node element: name=rhn-package-short>]
	                self = <type 'instance'>
<satellite_tools.sync_handlers.ShortPackageContainer instance at 0xb793d94c>
	             element = <type 'unicode'> rhn-package-short
	               attrs = <type 'dict'> {'org-id': 'None', 'name': '4Suite',
'package-size': '1837094', 'md5sum': 'e88424b3e221c5cba90910c8a2544880',
'package-arch': 'i386', 'last-modified': '1156299575', 'epoch': '', 'version':
'0.11.1', 'release': '14', 'id': 'rhn-package-6951'}
	                name = <type 'unicode'> rhn-package-short

Frame endElement in /usr/share/rhn/satellite_tools/xmlSource.py at line 218
	                 top = <type 'unicode'> rhn-package-short
	                self = <type 'instance'>
<satellite_tools.xmlSource.SatelliteDispatchHandler instance at 0xb793dccc>
	             element = <type 'unicode'> rhn-package-short

Frame end_element in
/usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.py at line 314
	                self = <type 'instance'> <xml.sax.expatreader.ExpatParser
instance at 0xb793df2c>
	                name = <type 'unicode'> rhn-package-short

Frame EndElement in extensions/pyexpat.c at line 630
	SAXNotRecognizedException = <type 'classobj'>
xml.sax._exceptions.SAXNotRecognizedException
	               expat = <type 'module'> <module 'xml.parsers.expat' from
'/usr/lib/python2.3/site-packages/_xmlplus/parsers/expat.pyc'>
	            __name__ = <type 'str'> xml.sax.expatreader
	feature_namespace_prefixes = <type 'str'>
http://xml.org/sax/features/namespace-prefixes
	    AttributesNSImpl = <type 'classobj'> xml.sax.xmlreader.AttributesNSImpl
	feature_string_interning = <type 'str'>
http://xml.org/sax/features/string-interning
	             version = <type 'str'> 0.20
	      AttributesImpl = <type 'classobj'> xml.sax.xmlreader.AttributesImpl
	  feature_namespaces = <type 'str'> http://xml.org/sax/features/namespaces
	             __doc__ = <type 'str'> 
SAX driver for the pyexpat C module.  This driver works with
pyexpat.__version__ == '2.22'.

	  feature_validation = <type 'str'> http://xml.org/sax/features/validation
	       create_parser = <type 'function'> <function create_parser at 0xb798cd4c>
	        __builtins__ = <type 'dict'> {'help': Type help() for interactive help,
or help(object) for help about object., 'vars': <built-in function vars>,
'SyntaxError': <class exceptions.SyntaxError at 0xb7fa177c>, 'unicode': <type
'unicode'>, 'UnicodeDecodeError': <class exceptions.UnicodeDecodeError at
0xb7fa1cbc>, 'isinstance': <built-in function isinstance>, 'copyright':
Copyright (c) 2001-2004 Python Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <class exceptions.NameError at 0xb7fa165c>,
'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in
function oct>, 'SystemExit': <class exceptions.SystemExit at 0xb7fa132c>,
'StandardError': <class exceptions.StandardError at 0xb7fa12cc>, 'repr':
<built-in function repr>, 'IndexError': <class exceptions.IndexError at
0xb7fa18fc>, 'False': False, 'RuntimeWarning': <class exceptions.RuntimeWarning
at 0xb7fa1fbc>, 'list': <type 'list'>, 'iter': <built-in function iter>,
'reload': <built-in function reload>, 'Warning': <class exceptions.Warning at
0xb7fa1e3c>, 'round': <built-in function round>, 'dir': <built-in function dir>,
'cmp': <built-in function cmp>, 'reduce': <built-in function reduce>, 'intern':
<built-in function intern>, 'issubclass': <built-in function issubclass>,
'Ellipsis': Ellipsis, 'hash': <built-in function hash>, 'locals': <built-in
function locals>, 'slice': <type 'slice'>, 'FloatingPointError': <class e!
 xceptions.FloatingPointError at 0xb7fa1aac>, 'sum': <built-in function sum>,
'OverflowWarning': <class exceptions.OverflowWarning at 0xb7fa1f8c>, 'getattr':
<built-in function getattr>, 'abs': <built-in function abs>, 'exit': 'Use Ctrl-D
(i.e. EOF) to exit.', 'True': True, 'FutureWarning': <class
exceptions.FutureWarning at 0xb7fb602c>, 'None': None, 'EOFError': <class
exceptions.EOFError at 0xb7fa153c>, 'len': <built-in function len>, 'credits':
Thanks to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
for supporting Python development.  See www.python.org for more information.,
'__name__': '__builtin__', 'ord': <built-in function ord>, 'super': <type
'super'>, 'TypeError': <class exceptions.TypeError at 0xb7fa12fc>, 'license':
Type license() to see the full license text, 'KeyboardInterrupt': <class
exceptions.KeyboardInterrupt at 0xb7fa138c>, 'UserWarning': <class
exceptions.UserWarning at 0xb7fa1e6c>, 'filter': <built-in function filter>,
'range': <built-in function range>, 'staticmethod': <type 'staticmethod'>,
'SystemError': <class exceptions.SystemError at 0xb7fa1ddc>, 'pow': <built-in
function pow>, 'RuntimeError': <class exceptions.RuntimeError at 0xb7fa156c>,
'float': <type 'float'>, 'StopIteration': <class exceptions.StopIteration at
0xb7fa129c>, 'globals': <built-in function globals>, 'divmod': <built-in
function divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function
apply>, 'LookupError': <class exceptions.LookupError at 0xb7fa18cc>, 'open': <type!
  'file'>, 'quit': 'Use Ctrl-D (i.e. EOF) to exit.', 'basestring': <type
'basestring'>, 'UnicodeError': <class exceptions.UnicodeError at 0xb7fa1b6c>,
'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type
'long'>, 'ReferenceError': <class exceptions.ReferenceError at 0xb7fa1dac>,
'ImportError': <class exceptions.ImportError at 0xb7fa13ec>, 'chr': <built-in
function chr>, '__import__': <built-in function __import__>, 'type': <type
'type'>, '__doc__': "Built-in functions, exceptions, and other
objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in
slices.", 'Exception': <class exceptions.Exception at 0xb7fa126c>, 'tuple':
<type 'tuple'>, 'UnicodeTranslateError': <class exceptions.UnicodeTranslateError
at 0xb7fa1d4c>, 'UnicodeEncodeError': <class exceptions.UnicodeEncodeError at
0xb7fa1bfc>, 'IOError': <class exceptions.IOError at 0xb7fa147c>, 'hasattr':
<built-in function hasattr>, 'delattr': <built-in function delattr>, 'setattr!
 ': <built-in function setattr>, 'raw_input': <built-in functio!
 n raw_in
put>, 'SyntaxWarning': <class exceptions.SyntaxWarning at 0xb7fa1f5c>,
'compile': <built-in function compile>, 'ArithmeticError': <class
exceptions.ArithmeticError at 0xb7fa198c>, 'str': <type 'str'>, 'property':
<type 'property'>, 'MemoryError': <class exceptions.MemoryError at 0xb7fa1e0c>,
'int': <type 'int'>, 'xrange': <type 'xrange'>, 'KeyError': <class
exceptions.KeyError at 0xb7fa195c>, 'coerce': <built-in function coerce>,
'PendingDeprecationWarning': <class exceptions.PendingDeprecationWarning at
0xb7fa1f2c>, 'file': <type 'file'>, 'EnvironmentError': <class
exceptions.EnvironmentError at 0xb7fa141c>, 'unichr': <built-in function
unichr>, 'id': <built-in function id>, 'OSError': <class exceptions.OSError at
0xb7fa14dc>, 'DeprecationWarning': <class exceptions.DeprecationWarning at
0xb7fa1ecc>, 'min': <built-in function min>, 'execfile': <built-in function
execfile>, 'complex': <type 'complex'>, 'bool': <type 'bool'>, 'ValueError':
<class exceptions.ValueError at 0xb7!
 fa1b0c>, 'NotImplemented': NotImplemented, 'map': <built-in function map>,
'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': <type
'object'>, 'TabError': <class exceptions.TabError at 0xb7fa183c>, 'callable':
<built-in function callable>, 'ZeroDivisionError': <class
exceptions.ZeroDivisionError at 0xb7fa1a1c>, 'eval': <built-in function eval>,
'__debug__': True, 'IndentationError': <class exceptions.IndentationError at
0xb7fa180c>, 'AssertionError': <class exceptions.AssertionError at 0xb7fa189c>,
'classmethod': <type 'classmethod'>, 'UnboundLocalError': <class
exceptions.UnboundLocalError at 0xb7fa16bc>, 'NotImplementedError': <class
exceptions.NotImplementedError at 0xb7fa15cc>, 'AttributeError': <class
exceptions.AttributeError at 0xb7fa174c>, 'OverflowError': <class
exceptions.OverflowError at 0xb7fa19bc>}
	             handler = <type 'module'> <module 'xml.sax.handler' from
'/usr/lib/python2.3/site-packages/_xmlplus/sax/handler.pyc'>
	            __file__ = <type 'str'>
/usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.pyc
	feature_external_pes = <type 'str'>
http://xml.org/sax/features/external-parameter-entities
	         ExpatParser = <type 'classobj'> xml.sax.expatreader.ExpatParser
	            _mkproxy = <type 'builtin_function_or_method'> <built-in function
proxy>
	            saxutils = <type 'module'> <module 'xml.sax.saxutils' from
'/usr/lib/python2.3/site-packages/_xmlplus/sax/saxutils.pyc'>
	   SAXParseException = <type 'classobj'> xml.sax._exceptions.SAXParseException
	SAXNotSupportedException = <type 'classobj'>
xml.sax._exceptions.SAXNotSupportedException
	property_interning_dict = <type 'str'>
http://www.python.org/sax/properties/interning-dict
	SAXReaderNotAvailable = <type 'classobj'> xml.sax._exceptions.SAXReaderNotAvailable
	        ExpatLocator = <type 'classobj'> xml.sax.expatreader.ExpatLocator
	           xmlreader = <type 'module'> <module 'xml.sax.xmlreader' from
'/usr/lib/python2.3/site-packages/_xmlplus/sax/xmlreader.pyc'>
	 property_xml_string = <type 'str'> http://xml.org/sax/properties/xml-string
	feature_external_ges = <type 'str'>
http://xml.org/sax/features/external-general-entities
	        SAXException = <type 'classobj'> xml.sax._exceptions.SAXException

Frame feed in /usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.py at
line 220
	                self = <type 'instance'> <xml.sax.expatreader.ExpatParser
instance at 0xb793df2c>
	                data = <type 'str'> <?xml version="1.0"
encoding="UTF-8"?><rhn-satellite generation="2"
version="3.0"><rhn-packages-short><rhn-package-short org-id="None" name="4Suite"
package-size="1837094" md5sum="e88424b3e221c5cba90910c8a2544880"
package-arch="i386" last-modified="1156299575" epoch="" version="0.11.1"
release="14" id="rhn-package-6951"/></rhn-packages-short></rhn-satellite>
	             isFinal = <type 'int'> 0

Frame parse in /usr/lib/python2.3/site-packages/_xmlplus/sax/xmlreader.py at
line 123
	              buffer = <type 'str'> <?xml version="1.0"
encoding="UTF-8"?><rhn-satellite generation="2"
version="3.0"><rhn-packages-short><rhn-package-short org-id="None" name="4Suite"
package-size="1837094" md5sum="e88424b3e221c5cba90910c8a2544880"
package-arch="i386" last-modified="1156299575" epoch="" version="0.11.1"
release="14" id="rhn-package-6951"/></rhn-packages-short></rhn-satellite>
	              source = <type 'instance'> <xml.sax.xmlreader.InputSource
instance at 0xb793894c>
	                self = <type 'instance'> <xml.sax.expatreader.ExpatParser
instance at 0xb793df2c>
	                file = <type 'file'> <open file
'/tmp/testchanneldump/packages_short/51/rhn-package-6951.xml', mode 'r' at
0xb7ac98a0>
	            saxutils = <type 'module'> <module 'xml.sax.saxutils' from
'/usr/lib/python2.3/site-packages/_xmlplus/sax/saxutils.pyc'>

Frame parse in /usr/lib/python2.3/site-packages/_xmlplus/sax/expatreader.py at
line 117
	              source = <type 'instance'> <xml.sax.xmlreader.InputSource
instance at 0xb793894c>
	                self = <type 'instance'> <xml.sax.expatreader.ExpatParser
instance at 0xb793df2c>

Frame process in /usr/share/rhn/satellite_tools/xmlSource.py at line 127
	                self = <type 'instance'>
<satellite_tools.xmlSource.SatelliteDispatchHandler instance at 0xb793dccc>
	                   e = <type 'instance'> invalid literal for int(): None
	              stream = <type 'file'> <open file
'/tmp/testchanneldump/packages_short/51/rhn-package-6951.xml', mode 'r' at
0xb7ac98a0>

Frame process in /usr/share/rhn/satellite_tools/satsync.py at line 1859
	                self = <type 'instance'>
<satellite_tools.satsync.StreamProducer instance at 0xb7a7f04c>
	                 oid = <type 'str'> rhn-package-6951
	               batch = <type 'list'> ['rhn-package-6951', 'rhn-package-6952',
'rhn-package-8302', 'rhn-package-9597', 'rhn-package-9864', 'rhn-package-11614',
'rhn-package-11615']
	              stream = <type 'file'> <open file
'/tmp/testchanneldump/packages_short/51/rhn-package-6951.xml', mode 'r' at
0xb7ac98a0>

Frame processShortPackages in /usr/share/rhn/satellite_tools/satsync.py at line 790
	       channel_label = <type 'str'> test-base-channel-rhel3
	                   h = <type 'instance'>
<satellite_tools.xmlSource.SatelliteDispatchHandler instance at 0xb793dccc>
	                self = <type 'instance'> <satellite_tools.satsync.Syncer
instance at 0xb7abce8c>
	                  lm = <type 'str'> 20080605082945
	         package_ids = <type 'list'> ['rhn-package-6951', 'rhn-package-6952',
'rhn-package-8302', 'rhn-package-9597', 'rhn-package-9864', 'rhn-package-11614',
'rhn-package-11615']
	                   s = <type 'instance'>
<satellite_tools.xmlDiskSource.ShortPackageDiskSource instance at 0xb79868ec>
	       stream_loader = <type 'instance'>
<satellite_tools.satsync.StreamProducer instance at 0xb7a7f04c>
	channel_last_modified = <type 'int'> 1212668985

Frame _step_short in /usr/share/rhn/satellite_tools/satsync.py at line 283
	                self = <type 'instance'> <satellite_tools.satsync.Runner
instance at 0xb7cb1f4c>

Frame main in /usr/share/rhn/satellite_tools/satsync.py at line 198
	          dbusername = <type 'str'> rhnsat
	         method_name = <type 'str'> _step_short
	                   i = <type 'int'> 0
	                self = <type 'instance'> <satellite_tools.satsync.Runner
instance at 0xb7cb1f4c>
	            selected = <type 'list'> ['download-source-packages', 'srpms',
'channels', 'download-errata', 'download-packages', 'blacklists', 'errata',
'source-packages', 'packages', 'short', 'kickstarts', 'channel-families',
'download-kickstarts', 'arches', 'rpms']
	                 ret = <type 'NoneType'> None
	                  st = <type 'str'> kickstarts
	          actionDict = <type 'dict'> {'force-all-errata': 0,
'download-source-packages': True, 'srpms': True, 'no-rpms': 0, 'channels': True,
'download-errata': True, 'no-errata': 0, 'force-all-packages': 0, 'no-ssl': 0,
'download-packages': True, 'blacklists': True, 'errata': True,
'source-packages': True, 'no-packages': 0, 'no-kickstarts': 0, 'packages': True,
'list-channels': 0, 'short': True, 'kickstarts': True, 'channel-families': True,
'download-kickstarts': True, 'arches': True, 'rpms': True}
	              method = <type 'instancemethod'> <bound method Runner._step_short
of <satellite_tools.satsync.Runner instance at 0xb7cb1f4c>>
	                step = <type 'str'> short
	           timeStart = <type 'float'> 1212669109.79
	          dbpassword = <type 'str'> rhnsat
	          dbinstance = <type 'str'> rhnsat
	            channels = <type 'list'> ['test-base-channel-rhel3']

Frame main in /usr/bin/satellite-sync at line 134

Frame ? in /usr/bin/satellite-sync at line 163
	          systemExit = <type 'function'> <function systemExit at 0xb7f62b1c>
	         rhnLockfile = <type 'module'> <module 'common.rhnLockfile' from
'/usr/share/rhn/common/rhnLockfile.pyc'>
	              socket = <type 'module'> <module 'socket' from
'/usr/lib/python2.3/socket.pyc'>
	             syncLib = <type 'module'> <module 'satellite_tools.syncLib' from
'/usr/share/rhn/satellite_tools/syncLib.pyc'>
	        __builtins__ = <type 'module'> <module '__builtin__' (built-in)>
	            _LIBPATH = <type 'str'> /usr/share/rhn
	            __file__ = <type 'str'> /usr/bin/satellite-sync
	                 sys = <type 'module'> <module 'sys' (built-in)>
	            repr_str = <type 'function'> <function repr_str at 0xb7ca41b4>
	      fetchTraceback = <type 'function'> <function fetchTraceback at 0xb7c9de2c>
	systemExit_exception = <type 'function'> <function systemExit_exception at
0xb7ca41ec>
	                 CFG = <type 'instance'> <RHNOptions instance at -1211521588:
{'sync_cache_dir': '/var/cache/rhn/', 'http_proxy_password': None, 'http_proxy':
None, 'satellite': 1, 'cache_refresh_count_max': 5, 'max_user_len': 64,
'http_proxy_username': None, 'tiny_url_timeout': 1, 'ca_chain':
'/usr/share/rhn/RHNS-CA-CERT', 'freeloader_throttle_start': 9,
'disallow_user_creation': 1, 'min_user_len': 3, 'mount_point': '/var/satellite',
'throttle_freeloaders': 0, 'cache_refresh_level': 2, 'pam_auth_service': None,
'kickstart_mount_point': '/var/satellite', 'message_to_all':
'/etc/rhn/message_to_all.txt', 'client_auth_timeout': 3600.0,
'throttle_grace_period': 168.0, 'pkg_list_dir': '/var/up2date/list',
'session_secret_4': 'db3d97d335a184a5344a4e4a48a11a36', 'session_secret_2':
'2c2bd4ecd118654940ea25410d2fe5b2', 'session_secret_3':
'0eb200777eb5cb70472216c15bcce984', 'session_lifetime': 1800,
'session_secret_1': '9f1eed4611597f4a44e8e93872f14338', 'refer_to_www': 0,
'proxy_au!
 th_timeout': 21600.0, 'grace_no_throttle': 0, 'send_message_to_all': 0,
'freeloader_throttle_end': 21, 'abuse_check': 0, 'min_passwd_len': 5,
'maximum_config_file_size': 131072, 'buffer_size': 16384, 'rhn_xmlrpc_handler':
'/SAT', 'prepended_dir': 'redhat', 'quiet_mail': 15, 'log_file':
'/var/log/rhn/rhn_server_satellite.log', 'rhn_metadata_handler': '/SAT-DUMP',
'max_email_len': 128, 'disallowed_suffixes': None, 'default_db': '<CENSORED!>',
'max_passwd_len': 32, 'jabber_server': 'fjs-0-13.rhndev.redhat.com', 'nls_lang':
'english.UTF8', 'traceback_mail': 'pthomas@redhat.com', 'encrypted_passwords':
1, 'join_rhn': 0, 'debug': 1, 'rhn_parent': 'satellite.rhn.webqa.redhat.com',
'secret_key': '07bb38d8f059b66c28c45ebe79250397', 'min_new_user_len': 5,
'send_eol_mail': 0, 'compress_headers': 1}>
	            __name__ = <type 'str'> __main__
	             satsync = <type 'module'> <module 'satellite_tools.satsync' from
'/usr/share/rhn/satellite_tools/satsync.pyc'>
	                main = <type 'function'> <function main at 0xb7ac04c4>
	                  os = <type 'module'> <module 'os' from
'/usr/lib/python2.3/os.pyc'>
	             __doc__ = <type 'NoneType'> None
	                LOCK = <type 'instance'> <common.rhnLockfile.Lockfile instance
at 0xb7f654cc>
	         releaseLOCK = <type 'function'> <function releaseLOCK at 0xb7ca4224>


Environment for PID=6181 on exception:
G_BROKEN_FILENAMES = 1
HISTSIZE = 1000
HOME = /root
HOSTNAME = fjs-0-13.rhndev.redhat.com
INPUTRC = /etc/inputrc
LANG = en_US.UTF-8
LESSOPEN = |/usr/bin/lesspipe.sh %s
LOGNAME = root
LS_COLORS =
no=00:fi=00:di=00;34:ln=00;36:pi=40;33:so=00;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:ex=00;32:*.cmd=00;32:*.exe=00;32:*.com=00;32:*.btm=00;32:*.bat=00;32:*.sh=00;32:*.csh=00;32:*.tar=00;31:*.tgz=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.zip=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.bz=00;31:*.tz=00;31:*.rpm=00;31:*.cpio=00;31:*.jpg=00;35:*.gif=00;35:*.bmp=00;35:*.xbm=00;35:*.xpm=00;35:*.png=00;35:*.tif=00;35:
MAIL = /var/spool/mail/root
NLS_LANG = english.UTF8
OLDPWD = /tmp
ORACLE_HOME = /opt/oracle
PATH =
/opt/oracle/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/root/bin
PWD = /root
SHELL = /bin/bash
SHLVL = 1
SSH_CLIENT = ::ffff:172.16.59.98 42797 22
SSH_CONNECTION = ::ffff:172.16.59.98 42797 ::ffff:10.10.76.140 22
SSH_TTY = /dev/pts/3
TERM = xterm
USER = root
_ = /usr/bin/satellite-sync
Comment 4 Preethi Thomas 2008-06-06 15:38:32 EDT
verified
Comment 5 Preethi Thomas 2008-06-25 10:30:22 EDT
release pending
Comment 6 Preethi Thomas 2008-06-30 14:30:47 EDT
4.2.3 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.